
Redmine - Feature #10889

Add support for the 'tel' URL protocol handler

2012-05-11 20:21 - jacob helms

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

I have been trying to figure out how to link a phone number so that a mobile user can click on it and call the number. The html code is

quite simple however I cant figure out how to make it work in redmine. Any help would be deeply appreciated.

Html Code example: <a href="tel:+1800229933">Call us free!</a

Related issues:

Related to Redmine - Feature #6269: RedCloth 4 support New

Related to Redmine - Feature #14203: Add support for the 'notes://' protocol ... Closed

Related to Redmine - Patch #41941: Add support for tel: protocol to custom fi... Needs feedback

Has duplicate Redmine - Feature #20829: Support tel for phone numbers in wiki Closed

History

#1 - 2012-05-11 21:15 - Mischa The Evil

- Subject changed from Text Syntax to Add support for the 'tel' URL protocol handler

- Category set to Text formatting

Dunno though if it is a (frequently) needed feature for most of the Redmine users.

#2 - 2013-04-09 16:55 - Filou Centrinov

Supported in RedCloth 4. More about RedCloth 4: #6269

#3 - 2013-06-06 11:43 - Jan Niggemann (redmine.org team member)

- Related to Feature #14203: Add support for the 'notes://' protocol handler added

#4 - 2015-10-21 17:38 - Toshi MARUYAMA

- Has duplicate Feature #20829: Support tel for phone numbers in wiki added

#5 - 2024-12-04 13:28 - Stephan Meyer

+1

We have a user defined field for the users with the telefon number of the user. At the moment we cannot create a link out of it because the tel:/

protocol is not allowed

#6 - 2024-12-06 08:09 - Bernhard Rohloff

- Related to Patch #41941: Add support for tel: protocol to custom fields added

#7 - 2024-12-06 08:17 - Bernhard Rohloff

Stephan Meyer wrote in #note-5:

+1

We have a user defined field for the users with the telefon number of the user. At the moment we cannot create a link out of it because the tel:/

protocol is not allowed

 I have submitted a patch for it in #41941.

With the markdown option the tel protocol is supported out of the box when writing the link in this format:
https://www.redmine.org/issues/6269
https://www.redmine.org/issues/41941


[+12 341234](tel:+12341234)
